<bugID>916439<Summary>Breakpoint in dragenter/dragleave event handler causes Firefox to hang</Summary><Description>User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/29.0.1547.66 Safari/537.36

Steps to reproduce:

1) Open http://www.w3schools.com/html/html5_draganddrop.asp
2) Open DevTools0-&gt;JS Debugger, select "html5_draganddrop.asp" resource
3) Set breakpoint on 112 line:
function allowDrop(ev)
{
    ev.preventDefault();
}
This function will be called on dragenter/dragover events
4) Grab sample image and start dragging.


Actual results:

Browser stuck in drag state, but it still responsive on mouse wheel events. The cursor is "not_allowed". You can not close browser


Expected results:

Browser should exit dragging state on mouse release (mouseup).</Description></bugID>